import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const BackupDestinationOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.BackupDestinationOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationOrderByRelationAggregateInput>;
export const BackupDestinationOrderByRelationAggregateInputObjectZodSchema = makeSchema();
